---
layout: default
title: Update GitLab
suppress_header: true
extra_css:
  - installation.css
extra_js:
  - update.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---
.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1 Update GitLab
  #content
    .wrapper.container{role: "main"}
      .method
        .method-content
          %h2.block-title Introduction
          %p.text-center
            Update your GitLab installation to take advantage of the latest features. Versions of GitLab which include new functionality are <a href="/blog/categories/releases/">released every month on the 22<sup>nd</sup></a>.

      .method.omnibus
        - distros = ['Ubuntu', 'Debian', 'CentOS 6', 'CentOS 7', 'CentOS 8', 'OpenSUSE Leap 15.1', 'Raspberry Pi OS']
        - platforms = ['ubuntu', 'debian', 'centos6', 'centos7', 'centos8', 'opensuse', 'raspberrypi']
        - ce_only_platforms = { 'raspberry-pi-os' => true }
        - subtitles = ['16.04 LTS, 18.04 LTS', '8, 9, 10', 'and RHEL, Oracle, Scientific', 'and RHEL, Oracle, Scientific', 'and RHEL', 'and SUSE Linux Enterprise Server 12.2', 'and Raspbian Buster, Stretch']
        - icons = ['ubuntu', 'debian', 'centos', 'centos', 'centos', 'opensuse', 'raspberry-pi']
        .method-content
          %h2.block-title{id: "#omnibus"} All-in-one package based installations
          %ul.flex-tile-list
            - distros.each_with_index do |distro, index|
              - ce_platform = data.platforms_update.select {|p| p.name == platforms[index]}
              - ee_platform = data.platforms_update_ee.select {|p| p.name == platforms[index]}
              %a.tile.js-distro-tile{ href: "##{distro.parameterize}", class: "distro-tile-#{index + 1} #{'js-distro-tile-ce-only' if ce_only_platforms[distro.parameterize]}" }
                .tile-image
                  = partial "/images/logos/#{icons[index]}-logo.svg"
                %h4.tile-title
                  = distro
                %p
                  = subtitles[index]
              %li.distro-content.js-distro-content.hidden{ class: "distro-content-#{index + 1}", id: distro.parameterize }
                - ce_platform.each_with_index do |platform, index|
                  - ee_platform = ee_platform[index]
                  .js-platform-ce.js-install-instructions
                    = partial "_platform", locals: { platform: platform, type: "ce", toggle_type: "ee", has_ee: ee_platform }
                  - if ee_platform
                    .js-platform-ee.js-install-instructions.hidden
                      = partial "_platform", locals: { platform: ee_platform, type: "ee", toggle_type: "ce", has_ee: ee_platform }

      .method.official
        .method-content
          %h2.block-title Other official installation methods
          %ul.flex-tile-list
            - data.update_methods.official.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                %h4.tile-title
                  = method.name
                %p
                  = method.desc
